Skip to main content
POST
/
v1
/
tags
/
Create tag
curl --request POST \
  --url https://managexrapi.com/v1/tags/ \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "History"
}
'
import requests

url = "https://managexrapi.com/v1/tags/"

payload = { "name": "History" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'History'})
};

fetch('https://managexrapi.com/v1/tags/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "sFidGmedeQofSBcvRcyn",
    "name": "History"
  }
}
{
"statusCode": 400,
"message": "Tag with name History already exists",
"error": "ManageXR Error"
}

Authorizations

Authorization
string
header
required

API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET

  • Username: The API Key ID.
  • Password: The API Key Secret.

Query Parameters

organizationId
string

Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.

Defaults to the organizationId associated with the API key.

Body

application/json
name
string
required

Name of the tag

Example:

"History"

Response

The created tag

data
object